︠fb73a556-a737-4a4c-a444-a8b4e88e80ebs︠
#import sage_server
#sage_server.MAX_OUTPUT_MESSAGES = 100000000000000
import random
import string
import os
import cv2

def inline_image_container(name):
    html('<img src="" id="%s" />' % (name), hide=False)
    
def show_inline_image(container, file_path):
    url = salvus.file(file_path, show=False).url
    html("<script>$('#%s').attr('src', '%s')" % (container, url), hide=False) 
    
def cv_inline_show(container, img):
    random_filename = ''.join(random.choice(string.ascii_uppercase + string.digits) for _ in range(20))+'.jpg'
    cv2.imwrite(random_filename, img)
    show_inline_image(container, random_filename)
    os.remove(random_filename)
︡bad7caac-dd57-4328-9ce9-e9d160bbd39a︡︡{"done":true}
︠5a9b54b2-a4b6-461b-8b9d-fe4971aeccbbs︠


import glob
import numpy as np
import cv2
import time
videos = [''] + glob.glob('*.mp4')
@interact
def f(video=videos):
    if not video:
        return
    inline_image_container('frame')
    
    cap = cv2.VideoCapture(video)
    while True:
        ret, frame = cap.read()
        # Display the resulting frame
        cv_inline_show('frame',frame)
        #show_inline_image('frame', 'frame.jpg')
        #url = salvus.file('frame.jpg', show=False).url
        #html("<script>$('#frame').attr('src', '%s')" % url)
        time.sleep(1)
        
︡641c491f-e297-44f1-b60c-df6e4929d614︡︡{"interact":{"style":"None","flicker":false,"layout":[[["video",12,null]],[["",12,null]]],"id":"1164d740-4bf4-4eee-80ad-98d207fdf1e2","controls":[{"buttons":false,"control_type":"selector","ncols":null,"button_classes":null,"default":0,"lbls":["","sfootchase.mp4","medical_test.mp4","5678@20141204144151.mp4","medical.mp4","footchase.mp4","test_icv_1.mp4","test.mp4","bandwicv.mp4","redacted_bwv1.mp4","bwv1.mp4","test2.mp4","test5.mp4"],"label":"video","nrows":null,"width":null,"var":"video"}]},"done":false}︡{"done":true}
︠2f8bb903-80e1-4260-9c73-a42439c8b986︠
import sage_server
sage_server.MAX_OUTPUT_MESSAGES = 100000000000000
import glob
import numpy as np
import cv2
import time
# import the necessary packages
import numpy as np
import argparse
import glob
import cv2
import imutils
 
def auto_canny(image, sigma=0.33):
    # compute the median of the single channel pixel intensities
    v = np.median(image)
 
    # apply automatic Canny edge detection using the computed median
    lower = int(max(0, (1.0 - sigma) * v))
    upper = int(min(255, (1.0 + sigma) * v))
    edged = cv2.Canny(image, lower, upper)
 
    # return the edged image
    return edged
videos = [''] + glob.glob('*.mp4')
@interact
def f(video=videos):
    if not video:
        return
    containers = ['raw', 'canny', 'gray', 'gray_canny']
    for container in containers:
        inline_image_container(container)
    cap = cv2.VideoCapture(video)
    while True:
        ret, frame = cap.read()
        frame = imutils.resize(frame, width=360)
        canny = auto_canny(frame)
        gray = cv2.cvtColor(frame, cv2.COLOR_BGR2GRAY)
        gray_canny = auto_canny(auto_canny(auto_canny(gray)))
        gray_blurred = cv2.GaussianBlur(gray, (21, 21), 0)
        gray_blurred_canny = auto_canny(gray_blurred)
        what_to_show = [frame, canny, gray, gray_canny]
        for item in zip(containers, what_to_show):
            cv_inline_show(*item)
        time.sleep(1)
︡6724acd5-5502-42b3-83b1-12f97fb46f38︡{"interact":{"style":"None","flicker":false,"layout":[[["video",12,null]],[["",12,null]]],"id":"d945f907-d374-4050-8979-c66f15e0d871","controls":[{"buttons":true,"control_type":"selector","ncols":null,"button_classes":null,"default":0,"lbls":["","5678@20141204144151.mp4"],"label":"video","nrows":null,"width":null,"var":"video"}]}}︡
︠09a6197a-9f24-4f62-b5bb-690a1b1bd95a︠
import sage_server
sage_server.MAX_OUTPUT_MESSAGES = 100000000000000
import glob
import numpy as np
import cv2
import time
# import the necessary packages
import numpy as np
import argparse
import glob
import cv2
import imutils
 
def auto_canny(image, sigma=0.33):
    # compute the median of the single channel pixel intensities
    v = np.median(image)
 
    # apply automatic Canny edge detection using the computed median
    lower = int(max(0, (1.0 - sigma) * v))
    upper = int(min(255, (1.0 + sigma) * v))
    edged = cv2.Canny(image, lower, upper)
 
    # return the edged image
    return edged
videos = [''] + glob.glob('*.mp4')
@interact
def f(video=videos):
    if not video:
        return
    containers = ['gray', 'gray_canny', 'frame_delta']
    for container in containers:
        inline_image_container(container)
    cap = cv2.VideoCapture(video)
    last_frame = None
    while True:
        ret, frame = cap.read()
        frame = imutils.resize(frame, width=360)
        gray = cv2.cvtColor(frame, cv2.COLOR_BGR2GRAY)
        gray_canny = auto_canny(gray)
        if not last_frame:
            last_frame = gray
            continue
        
        gray_blurred = cv2.GaussianBlur(gray, (21, 21), 0)
        gray_blurred_canny = auto_canny(gray_blurred)
        #frameDelta = cv2.absdiff(last_frame, gray_canny)
        #thresh = cv2.threshold(frameDelta, 25, 255, cv2.THRESH_BINARY)[1]
        what_to_show = [gray, gray_canny, thresh]
        for item in zip(containers, what_to_show): 
            cv_inline_show(*item)
        last_frame = gray
        time.sleep(1)
︡159985ad-7843-4175-adfa-1fd895d99c2d︡{"interact":{"style":"None","flicker":false,"layout":[[["video",12,null]],[["",12,null]]],"id":"4a8169c4-4f30-4fc7-bbdd-657b99f45007","controls":[{"buttons":true,"control_type":"selector","ncols":null,"button_classes":null,"default":0,"lbls":["","5678@20141204144151.mp4"],"label":"video","nrows":null,"width":null,"var":"video"}]}}︡
︠e088970d-fbc7-460a-87fe-fe0a4d12bd73︠
cv2.bilateralFilter?
︡299482f7-90c7-401a-a192-24e71d0a7707︡{"code":{"source":"File: \nUnable to read docstring (source code not available)","mode":"text/x-rst","lineno":-1,"filename":null}}︡
︠5285bd63-9bd8-405d-8412-6267d6caa67a︠
import cv2
import numpy as np
from matplotlib import pyplot as plt

img = cv2.imread('home_6.jpg',0)

laplacian = cv2.Laplacian(img,cv2.CV_64F)
sobelx = cv2.Sobel(img,cv2.CV_64F,1,0,ksize=5)
sobely = cv2.Sobel(img,cv2.CV_64F,0,1,ksize=5)
cv2.imwrite('laplacian.jpg', laplacian)
salvus.file('laplacian.jpg')
cv2.imwrite('sobelx.jpg', sobelx)
salvus.file('sobelx.jpg')
cv2.imwrite('sobely.jpg', sobely)
salvus.file('sobely.jpg')
︡1e710077-c0c3-4e21-bcff-1dbcfaa0c071︡{"stdout":"True\n"}︡{"once":false,"file":{"show":true,"uuid":"db0e634c-5313-4c13-9534-92db735f5794","filename":"laplacian.jpg"}}︡{"stdout":"True\n"}︡{"once":false,"file":{"show":true,"uuid":"6aee8252-6a68-4697-b5c2-4733309067a4","filename":"sobelx.jpg"}}︡{"stdout":"True\n"}︡{"once":false,"file":{"show":true,"uuid":"15722936-582f-44e1-a45c-19afc6827081","filename":"sobely.jpg"}}︡
︠e922e122-42bf-4b3d-8b81-f9efc4201ad5︠
import numpy as np
import cv2
img = cv2.imread('home_6.jpg')
def auto_canny(image, sigma=0.33):
    gray = cv2.cvtColor(image, cv2.COLOR_BGR2GRAY)
    gray = cv2.bilateralFilter(gray,9,75,75)
    # compute the median of the single channel pixel intensities
    v = np.median(image)
 
    # apply automatic Canny edge detection using the computed median
    lower = int(max(0, (1.0 - sigma) * v))
    upper = int(min(255, (1.0 + sigma) * v))
    edged = cv2.Canny(image, lower, upper)
 
    # return the edged image
    return edged
img2 =  cv2.bilateralFilter(img,9,75,75)
for i in range(10):
    img2 =  cv2.bilateralFilter(img2,9,75,75)
cv2.imwrite('test.jpg', auto_canny(img2))
salvus.file('test.jpg')
︡58ac95b0-ada8-49af-b85f-45182f3da47e︡{"stdout":"True"}︡{"stdout":"\n"}︡{"once":false,"file":{"show":true,"uuid":"07886030-a887-48f6-a5cc-3093aeb173e3","filename":"test.jpg"}}︡
︠b035af7f-f081-4e06-99d7-0920173f5b83︠









